const requireContext = require.context('.', true, /\.vue$/)
let components = {}
requireContext
    .keys()
    .filter((path) => path !== './index.vue')
    .forEach((path) => {
        const file = requireContext(path)
        if (file.default.name) {
            components[file.default.name] = file.default
        } else {
            console.error(`请给组件${path}加上name属性`)
        }
    })

export default components
