// 模块化vuex数据
// getter调用示例：this.$store.getters['moduleA/moduleState']

const state = {
    video: {}
}

const getters = {
    video: (state) => state.video
}

const mutations = {}

const actions = {
    async upload(store, payload) {
        console.log('turbo: upload -> store, payload', store, payload)
    },
    async storeMaterial() {}
}

export default {
    namespaced: true,
    state,
    getters,
    mutations,
    actions
}
